varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D uMap;
uniform float factor;
uniform float dir;
uniform float offset;
uniform float totalFrames;
void main()
{
    vec2 texCoordFinal;
	float scrollSpeed = 1.0*0.016;
    if(dir > 0.0)
    {
        texCoordFinal = vec2(fract(v_texCoord.x - scrollSpeed * totalFrames - offset), (v_texCoord.y + factor)*0.5);
    }
    else
    {
        texCoordFinal = vec2(fract(v_texCoord.x + scrollSpeed * totalFrames + offset), (v_texCoord.y + factor)*0.5);
      
    }
    if(texCoordFinal.x < 0.0)
    {
        texCoordFinal.x = 1.0 + texCoordFinal.x;
    }
	else if(texCoordFinal.x > 1.0)
	{
		texCoordFinal.x = texCoordFinal.x - 1.0;
	}
    vec4 color = texture2D(uMap, texCoordFinal) * v_fragmentColor * texture2D(CC_Texture0, v_texCoord).a;
    gl_FragColor = color;
}