varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D _DissolveMap;
uniform float _DissolveThreshold;
void main()
{
    vec4 color = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
    vec4 color1 = texture2D(_DissolveMap, vec2(v_texCoord.x, v_texCoord.y));
    if(color.a>0.1)
    {
        if(color1.r>_DissolveThreshold)
        {
            color= vec4(0.0,0.0,0.0,0.0);//(1-color1.r + _DissolveThreshold)*2.0);
        }
        else if(color1.r >_DissolveThreshold - 0.01)
        {
            color = vec4(0.8,0.8,1.0,(1.0-color1.r + _DissolveThreshold+0.02)*2.0);
        }
        else if(color1.r >_DissolveThreshold - 0.03)
        {
            color = vec4(0.4,0.0,0.7,(1.0-color1.r + _DissolveThreshold+0.04)*2.0);
        }
    }
    gl_FragColor = color*v_fragmentColor;
}
