#ifdef GL_ES
precision mediump float;
#endif
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float lightStrength;
uniform float timer;
uniform float uv_timer;
void main()
{
    vec4 src_color = texture2D(CC_Texture0, v_texCoord).rgba;
    float width = 1.0;       //流光的宽度范围 (调整该值改变流光的宽度)
    float start = timer*0.5;  //流光的起始x坐标
    float strength = lightStrength;   //流光增亮强度   (调整该值改变流光的增亮强度)
	strength=1.0;
    float offset = 0.25;      //偏移值         (调整该值改变流光的倾斜程度)
    //if( start <= v_ texCoord.x  && v_texCoord.x <= (start + width))
	float right = start - offset * v_texCoord.x;
	
	float halfWidth = width*0.5;
	float mid = right-halfWidth;
    if( v_texCoord.y >= (mid-halfWidth) &&  v_texCoord.y <= (mid+halfWidth))
    {
		float curDis = abs(mid - v_texCoord.y);
		float del = (halfWidth-curDis)/halfWidth;
        vec3 improve = vec3(1.0,1.0,1.0) +strength * vec3(2.0*del, 2.0*del, 2.0*del);
        vec3 result = improve * vec3( src_color.r, src_color.g, src_color.b);
        gl_FragColor = vec4(result, src_color.a)*v_fragmentColor;
    }
	else
	{
        gl_FragColor = src_color*v_fragmentColor;
    }
}